## rust-derivative 2.1.1

=== Makefile ===
publish_doc:
	./node_modules/gitbook-cli/bin/gitbook.js build
	rm -fr /tmp/_book
	git clone --branch gh-pages --single-branch git@github.com:mcarton/rust-derivative.git /tmp/_book
	rm -rf /tmp/_book/*
	mv _book/* /tmp/_book
	cd /tmp/_book; git add .; git com -am Autogenerate; git push -f

=== debian/changelog ===
rust-derivative (2.1.1-2) unstable; urgency=high

  * Rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Jan 2021 10:27:58 +0100

rust-derivative (2.1.1-1) unstable; urgency=medium

  * Package derivative 2.1.1 from crates.io using debcargo 2.4.3

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 22 Dec 2020 14:43:41 +0100

=== debian/control ===
Source: rust-derivative
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-proc-macro2-1+default-dev <!nocheck>,
 librust-quote-1+default-dev <!nocheck>,
 librust-syn-1+default-dev (>= 1.0.3-~~) <!nocheck>,
 librust-syn-1+extra-traits-dev (>= 1.0.3-~~) <!nocheck>,
 librust-syn-1+visit-dev (>= 1.0.3-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/derivative]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/derivative
Rules-Requires-Root: no

Package: librust-derivative-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-syn-1+default-dev (>= 1.0.3-~~),
 librust-syn-1+extra-traits-dev (>= 1.0.3-~~),
 librust-syn-1+visit-dev (>= 1.0.3-~~)
Provides:
 librust-derivative+default-dev (= ${binary:Version}),
 librust-derivative+use-core-dev (= ${binary:Version}),
 librust-derivative-2-dev (= ${binary:Version}),
 librust-derivative-2+default-dev (= ${binary:Version}),
 librust-derivative-2+use-core-dev (= ${binary:Version}),
 librust-derivative-2.1-dev (= ${binary:Version}),
 librust-derivative-2.1+default-dev (= ${binary:Version}),
 librust-derivative-2.1+use-core-dev (= ${binary:Version}),
 librust-derivative-2.1.1-dev (= ${binary:Version}),
 librust-derivative-2.1.1+default-dev (= ${binary:Version}),
 librust-derivative-2.1.1+use-core-dev (= ${binary:Version})
Description: Set of alternative `derive` attributes for Rust - Rust source code
 This package contains the source for the Rust derivative crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.1.1 --all-targets --all-features
Features: test-name=rust-derivative:@
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.1.1 --all-targets 
Features: test-name=librust-derivative-dev:default
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.1.1 --all-targets --no-default-features --features use_core
Features: test-name=librust-derivative-dev:use_core
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.1.1 --all-targets --no-default-features
Features: test-name=librust-derivative-dev:
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/derivative-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/derivative .*/crates/derivative/@ANY_VERSION@/download

## rust-derivative 2.2.0

=== debian/changelog ===
rust-derivative (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * Package derivative 2.2.0 from crates.io using debcargo 2.6.0
  * Disable derive-debug-generics test, it's already failing in testing, and
    already reported upstream, so running it in debci is doing more harm than
    good at this point.
  * Remove upper limit from trybuild dev-dependency, upstream set it for msrv
    reasons which are irrelevent to Debian.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 17 Jul 2023 02:18:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper (>= 12),
- dh-cargo (>= 24),
+ dh-cargo (>= 25),
  cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
@@ -14,9 +14,10 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/derivative]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/derivative
+X-Cargo-Crate: derivative
 Rules-Requires-Root: no
 
 Package: librust-derivative-dev
@@ -35,12 +36,12 @@
  librust-derivative-2-dev (= ${binary:Version}),
  librust-derivative-2+default-dev (= ${binary:Version}),
  librust-derivative-2+use-core-dev (= ${binary:Version}),
- librust-derivative-2.1-dev (= ${binary:Version}),
- librust-derivative-2.1+default-dev (= ${binary:Version}),
- librust-derivative-2.1+use-core-dev (= ${binary:Version}),
- librust-derivative-2.1.1-dev (= ${binary:Version}),
- librust-derivative-2.1.1+default-dev (= ${binary:Version}),
- librust-derivative-2.1.1+use-core-dev (= ${binary:Version})
+ librust-derivative-2.2-dev (= ${binary:Version}),
+ librust-derivative-2.2+default-dev (= ${binary:Version}),
+ librust-derivative-2.2+use-core-dev (= ${binary:Version}),
+ librust-derivative-2.2.0-dev (= ${binary:Version}),
+ librust-derivative-2.2.0+default-dev (= ${binary:Version}),
+ librust-derivative-2.2.0+use-core-dev (= ${binary:Version})
 Description: Set of alternative `derive` attributes for Rust - Rust source code
  This package contains the source for the Rust derivative crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.2.0 --all-targets --all-features
Features: test-name=rust-derivative:@
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.2.0 --all-targets
Features: test-name=librust-derivative-dev:default
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.2.0 --all-targets --no-default-features --features use_core
Features: test-name=librust-derivative-dev:use_core
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test derivative 2.2.0 --all-targets --no-default-features
Features: test-name=librust-derivative-dev:
Depends: dh-cargo (>= 18), librust-trybuild-1+default-dev (>= 1.0.18-~~), @
Restrictions: allow-stderr, skip-not-installable
